<template>
  <div class="container-fluid my-5">
    <!-- <ul class="items-list">
      <li v-for="page in pages" :key="page.sys.id" class="item">
        <nuxt-link :to="page.fields.slug">
          {{ page.fields.title }}
        </nuxt-link>
      </li>
    </ul> -->
    <h1 class="mb-4">
      Contentful Pages
    </h1>
    <p>
      These pages are pulled in via the
      <a
        href="https://www.contentful.com/developers/docs/references/content-delivery-api/"
        target="_blank"
        >Contentful DeliveryAPI</a
      >.
    </p>

    <b-list-group>
      <b-list-group-item
        v-for="page in pages"
        :key="page.sys.id"
        :to="page.fields.slug"
      >
        {{ page.fields.title }}
      </b-list-group-item>
    </b-list-group>
  </div>
</template>

<script>
import client from '~/plugins/contentful'

export default {
  data() {
    return { pages: [] }
  },
  asyncData() {
    return Promise.all([
      client.getEntries({
        content_type: 'page',
        order: '-sys.createdAt'
      })
    ])
      .then(([pages]) => {
        return {
          pages: pages.items
        }
      })
      .catch(console.error)
  }
}
</script>

<style></style>
